Subject: bug#33552: grep patches for "Binary file FOO matches" glitches

From: Jim Meyering <[email-masked]>
Date: Thu, 17 Sep 2020 12:04:55 -0700

On Thu, Sep 17, 2020 at 11:46 AM Paul Eggert <[email-masked]> wrote:
> Attached are two related 'grep' patches, one prompted by Bug#33552 "Possible bug
> with handling -I option" and the other by Bug#29668 "grep: Fatal problem with
> (big) file". Although I'd normally install these on grep master, Jim has started
> the ball rolling on the next grep release so I'll cc this to him to see whether
> these patches can be squeezed in before the next release.

Nice! Thank you for resolving those.
The first one did indeed simplify numerous tests.
Both look fine and seem uncontroversial, so please go ahead and push them.
I'll probably update to latest gnulib this evening and then make a new snapshot.